/**
 * Filtre les icônes d'une collection en fonction d'une liste de noms.
 * @function
 *
 * @param {string} sourcePath - Chemin vers le fichier source
 * @param {string} targetPath - Chemin vers le fichier destination
 *
 * @returns {Promise<{ status: 'COULD_NOT_GET_COLLECTIONS_ERROR' | 'COULD_NOT_WRITE_FILE_ERROR' | 'COULD_NOT_LINT_FILE_ERROR', error: Error } | undefined>} Le résultat si une erreur est survenue, undefined sinon
 *
 */
export function createCustomCollectionFile(sourcePath: string, targetPath: string): Promise<{
    status: "COULD_NOT_GET_COLLECTIONS_ERROR" | "COULD_NOT_WRITE_FILE_ERROR" | "COULD_NOT_LINT_FILE_ERROR";
    error: Error;
} | undefined>;
/**
 * Filtre les icônes d'une collection en fonction d'une liste de noms.
 * @function
 *
 * @param {import('@iconify/vue').IconifyJSON} collection - La collection d'icônes.
 * @param {string[]} iconNames - La liste des noms d'icônes à conserver.
 *
 * @returns {import('@iconify/vue').IconifyJSON} - Une nouvelle collection filtrée.
 */
export function filterIcons(collection: import("@iconify/vue").IconifyJSON, iconNames: string[]): import("@iconify/vue").IconifyJSON;
/**
 * Lance une commande shell.
 * @function
 *
 * @param {string} command - La commande shell à lancer
 *
 * @returns {Promise<undefined>} - Une nouvelle collection filtrée.
 */
export function runShellCommand(command: string): Promise<undefined>;
//# sourceMappingURL=custom-icon-collections-creator.d.ts.map