export type Page = {
    href?: string;
    label: string;
    title: string;
};
export type DsfrDataTableRow = (string | number | boolean | bigint | symbol)[] | Record<string | symbol | number, unknown>;
export type DsfrDataTableHeaderCellObject = {
    key: string;
    label: string;
    headerAttrs?: Record<string, unknown>;
};
export type DsfrDataTableHeaderCell = (string | DsfrDataTableHeaderCellObject);
export type DsfrDataTableProps = {
    id?: string;
    title: string;
    rowKey?: string | number;
    headersRow: DsfrDataTableHeaderCell[];
    rows: DsfrDataTableRow[];
    topActionsRow?: string[];
    bottomActionsRow?: string[];
    selectableRows?: boolean;
    sortableRows?: boolean | string[];
    sorted?: string;
    sortFn?: (a: unknown, b: unknown) => number;
    verticalBorders?: boolean;
    bottomCaption?: boolean;
    noCaption?: boolean;
    pages?: Page[];
    pagination?: boolean;
    paginationOptions?: number[];
    paginationAriaLabel?: string;
    currentPage?: number;
    rowsPerPage?: number;
    bottomActionBarClass?: string | Record<string, boolean> | Array<string | Record<string, boolean>>;
    paginationWrapperClass?: string | Record<string, boolean> | Array<string | Record<string, boolean>>;
};
type __VLS_Props = DsfrDataTableProps;
declare const __VLS_defaults: {
    selection: never[];
    rowsPerPage: number;
    currentPage: number;
    sortedBy: undefined;
    sortedDesc: boolean;
};
type __VLS_PublicProps = {
    'selection'?: string[];
    'rowsPerPage'?: number;
    'currentPage'?: number;
    'sortedBy'?: string | undefined;
    'sortedDesc'?: typeof __VLS_defaults['sortedDesc'];
} & __VLS_Props;
declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: {
        header?(_: {
            key: string;
            label: string;
            headerAttrs?: Record<string, unknown>;
        }): any;
        cell?(_: {
            colKey: string;
            cell: {};
        }): any;
        pagination?(_: {}): any;
    };
    refs: {};
    rootEl: HTMLDivElement;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import("vue").DefineComponent<__VLS_PublicProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:current-page": (page: number) => any;
    "update:selection": (value: string[]) => any;
    "update:rowsPerPage": (value: number) => any;
    "update:currentPage": (value: number) => any;
    "update:sortedBy": (value: string | undefined) => any;
    "update:sortedDesc": (value: boolean) => any;
}, string, import("vue").PublicProps, Readonly<__VLS_PublicProps> & Readonly<{
    "onUpdate:current-page"?: ((page: number) => any) | undefined;
    "onUpdate:selection"?: ((value: string[]) => any) | undefined;
    "onUpdate:rowsPerPage"?: ((value: number) => any) | undefined;
    "onUpdate:currentPage"?: ((value: number) => any) | undefined;
    "onUpdate:sortedBy"?: ((value: string | undefined) => any) | undefined;
    "onUpdate:sortedDesc"?: ((value: boolean) => any) | undefined;
}>, {
    id: string;
    currentPage: number;
    rowKey: string | number;
    topActionsRow: string[];
    bottomActionsRow: string[];
    paginationOptions: number[];
    paginationAriaLabel: string;
    rowsPerPage: number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, HTMLDivElement>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
